Bug 437997 - "About this Computer" item (about-this-computer) in gnome-system-monitor needs translation
Summary: "About this Computer" item (about-this-computer) in gnome-system-monitor need...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 521598
TreeView+ depends on / blocked
 
Reported: 2008-03-18 16:25 UTC by Will Woods
Modified: 2014-06-18 09:10 UTC (History)
3 users (show)

Fixed In Version: gnome-system-monitor-2.22.1-5.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-22 21:21:46 UTC


Attachments (Terms of Use)
Untranslated "About this Computer" screenshot from Punjabi desktop... (149.34 KB, image/jpeg)
2008-04-18 05:59 UTC, Ankit Patel
no flags Details

Description Will Woods 2008-03-18 16:25:37 UTC
(Apologies in advance if this isn't the right place for this..)

The "About this Computer" item was added to the System menu in Rawhide on March 8. It's provided by 
about-this-desktop.desktop, in the gnome-system-monitor package.

http://cvs.fedoraproject.org/viewcvs/rpms/gnome-system-monitor/devel/about-this-
computer.desktop?view=markup

This is a Fedora-specific feature right now - it''ll be moved upstream sometime after F9. But I don't 
want to add a whole transifex module just for one string that will be moved upstream in the next six 
months.

How should I go about getting it translated for F9?

Comment 1 Dimitris Glezos 2008-03-18 18:29:58 UTC
To work with PO files: the quickest way would be to dump a POT somewhere in
/cvs/l10n, where translators already have access to. You might need to become a
member of 'cvsl10n' to create it. FWIW, adding that dir also to transifex would
be trivial.

If you'd like to dump the file/s in an existing VCS, add the user 'transif' to
your group and I can enable it via Transifex right away.

To work without PO files: You could just create a wiki page I guess.

Either way, a quick email to fedora-trans-list and a blog post, probably with
ready-to-follow commands, will get enough people to translate it pronto.



Comment 2 Robert-André Mauchin 2008-03-19 12:14:21 UTC
Or you could try to request a string freeze break upstream, arguing that the
string is trivial to translate, and that most distribution will ship at least
2.22.1 (but I think you'll have few chance of success).

Comment 3 Caius Chance 2008-04-01 04:44:55 UTC
I am creating a patch now. Please hang on. :)

Comment 4 Caius Chance 2008-04-01 05:38:09 UTC
Just checked out the gnome-system-monitor package. The
about-this-computer.desktop  is another source beyond upstream tarball (check
.spec file). I have no idea to create PO files for this file with tools.

Or we should pass the localization of this file to in house L10N team for
generating the .POs?

Comment 5 Will Woods 2008-04-02 00:52:32 UTC
For the moment, I'm coordinating translation here:

http://fedoraproject.org/wiki/WillWoods/AboutThisComputer

Once we figure out where this goes upstream I'll put the translations in proper .po files.

Comment 6 Ankit Patel 2008-04-14 15:16:45 UTC
(In reply to comment #5)
> For the moment, I'm coordinating translation here:
> 
> http://fedoraproject.org/wiki/WillWoods/AboutThisComputer
> 
> Once we figure out where this goes upstream I'll put the translations in
proper .po files.

Hi Will,

Do we have still any time left for this task? I think, I can help you with
getting some of the languages translated...

Comment 7 Will Woods 2008-04-14 15:46:04 UTC
RC1 is a week away, so.. there's a little time left, yes.

Comment 8 Ankit Patel 2008-04-18 05:59:38 UTC
Created attachment 302840 [details]
Untranslated "About this Computer" screenshot from Punjabi desktop...

Attaching screenshot here to give an idea where exactly the message is
appearing...

Comment 9 Ankit Patel 2008-04-21 10:09:09 UTC
Hi Will,

More than 30 languages are now in the list. You can see the translation is
updated now: http://fedoraproject.org/wiki/WillWoods/AboutThisComputer

Reassigning to package owner and QE component of the package to rebuild the
package with the latest translations...

Comment 10 Bug Zapper 2008-05-14 06:41:21 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Will Woods 2008-05-22 21:21:46 UTC
This patch has been sent upstream; once accepted, further translation work
should be done as normal for GNOME.

http://bugzilla.gnome.org/show_bug.cgi?id=534413


Note You need to log in before you can comment on or make changes to this bug.